#include <zheaders.h>

#define ZDBG_FILE	"F1:ZDBGSRV.BIN"	/**/
/* #define ZDBG_FILE	"F1:WCVX.BIN"	/**/
#define ZDBG_PROC	str_to_name("Zdbg")

zdbg_start()
{
	OBJECT_NAME proc,code;
	PROC_INI pak;

	if((code=code_create_file(name_generate(),ZDBG_FILE)) == -1) {
	  TmpAlert("ERR: code_create_file");
	  return 0;
	}

	proc = ZDBG_PROC;
	pak.type	= TASK;
	pak.priority	= 100;
	pak.stack_size  = 0x4000;
	pak.code	= code;
	pak.message	= 0;
	if (proc_create(proc,&pak) == -1) {
	  TmpAlert("ERR: proc_create");
	  code_delete(code);
	  return 0;
	}
		
	if (proc_start(proc) == -1) {
	  TmpAlert("ERR: proc_start");
	  proc_delete(proc);
	  code_delete(code);
	  return 0;
	}

	return 1;
}

/* EOF */
