/*
	get target process name
		for gdb server

	OBJECT_NAME get_target_pname()
 */

#include <zheaders.h>

/* #define I_AM_THREAD	/* THREAD or SYSTEM_THREAD */
#define FOR_ZXLINUX_APPLICATION /* add:2000/Mar/13 */

#define DEBUG_QUEUE_NAME	(str_to_name("gdbq"))

struct exec_notify_t{
  unsigned long name;
  int	pid;
};

init_queue()
{
  int x;
  x = queue_create(DEBUG_QUEUE_NAME, 1, sizeof(struct exec_notify_t));
  return x;
}

/*OBJECT_NAME*/
int
get_target_pname(wait,proc)
     int wait;
     OBJECT_NAME *proc;
{
  OBJECT_NAME target_name;
  QUEUE_PBOX pbox;
  int x;
  struct exec_notify_t data;

#ifdef HOGE
  x = queue_create(DEBUG_QUEUE_NAME, 1, sizeof(struct exec_notify_t));
  if (x == -1) {
    /* cannot create queue / already exist */
    
    /*self_sleep(-1);*/
  }
#endif
	pbox.data = &data;
	pbox.size = sizeof(struct exec_notify_t);
	pbox.timeout = wait;	/* wait forever */

	x = queue_read(DEBUG_QUEUE_NAME, &pbox);
	/*queue_delete(DEBUG_QUEUE_NAME);*/


	if (x < 0) {
		/* queue_read error! */

		/***** some error messages *****/

		/*self_sleep(-1);*/
		return -1;
	}

#ifdef FOR_ZXLINUX_APPLICATION
	if (dbg_proc_stop((OBJECT_NAME)data.name) == -1) {
		/* dbg_proc_stop error! */
		/*self_sleep(-1);*/
		return -1;
	}
	if (proc_start((OBJECT_NAME)data.name) == -1) {
		/* proc_start error! */
		/*self_sleep(-1);*/
		return -1;
	}
#endif FOR_ZXLINUX_APPLICATION
	
	*proc=data.name;

	/*	return (OBJECT_NAME)data.name;*/
	return 0;
}

/* EOF */

